Name:           prepaid-manager-applet
Version:        0.0.3.1
Release:        10%{?dist}
Summary:        An applet for the GNOME Desktop for GSM mobile prepaid SIM cards

Group:          Applications/Internet
License:        GPLv3+
URL:            https://honk.sigxcpu.org/piki/projects/ppm/
Source0:        http://honk.sigxcpu.org/projects/ppm/tarballs/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  gnome-common intltool gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  dbus-python-devel pygobject3-devel gtk3-devel

Requires:       mobile-broadband-provider-info ModemManager
Requires:       dbus-python pygobject3 gtk3 python-lxml

%description
prepaid-manager-applet aims to ease the handling of mobile internet 
connections using GSM mobile prepaid cards on the GNOME Desktop. 
Such a SIM card can either be in a mobile phone used as a modem, 
a USB 3g module (USB surf stick) or used by the built in 3G 
chip set in your laptop/net book.

* It allows you to check the current balance and to top up the credit.
* It uses ModemManager to talk to your GSM chip set.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/prepaid-manager-applet.desktop
chmod a+x %{buildroot}/%{_datadir}/prepaid-manager-applet/prepaid-manager-applet.py
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.PrepaidManager.gschema.xml
%{_datadir}/icons/hicolor/128x128/apps/ppm.png
%{_datadir}/icons/hicolor/32x32/apps/ppm.png
%{_datadir}/icons/hicolor/48x48/apps/ppm.png
%{_datadir}/icons/hicolor/64x64/apps/ppm.png
%{_datadir}/icons/hicolor/scalable/apps/ppm.svg
%doc AUTHORS COPYING NEWS README TODO

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 17 2012 Kai Engert <kengert AT fedoraproject DOT org> - 0.0.3.1-6
- adding python-lxml runtime requirement

* Tue Aug 28 2012 Kai Engert <kengert AT fedoraproject DOT org> - 0.0.3.1-5
- addressed fedora package review comments, see bz#848551
- added doc files, adjusted requires/buildrequires, set license to GPLv3+
- removed obsolete buildroot cleaning, update icon cache

* Wed May 25 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.1.1-1
- Updated to first tar release

* Mon Mar 28 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 20110323-1
- Initial rpm package
